RHEL 6 : rubygems (RHSA-2013:1203)

Medium Nessus Plugin ID 119343

Synopsis

The remote Red Hat host is missing a security update.

Description

An updated rubygems package that fixes two security issues is now available for Red Hat OpenShift Enterprise 1.2.2.

The Red Hat Security Response Team has rated this update as having moderate security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

RubyGems is the Ruby standard for publishing and managing third-party libraries.

It was found that, when using RubyGems, the connection could be redirected from HTTPS to HTTP. This could lead to a user believing they are installing a gem via HTTPS, when the connection may have been silently downgraded to HTTP. (CVE-2012-2125)

It was found that RubyGems did not verify SSL connections. This could lead to man-in-the-middle attacks. (CVE-2012-2126)

All users of Red Hat OpenShift Enterprise 1.2.2 are advised to upgrade to this updated package, which corrects these issues.

Solution

Update the affected rubygems package.

See Also

https://access.redhat.com/errata/RHSA-2013:1203

https://access.redhat.com/security/cve/cve-2012-2126

https://access.redhat.com/security/cve/cve-2012-2125

Plugin Details

Severity: Medium

ID: 119343

File Name: redhat-RHSA-2013-1203.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2018/12/04

Modified: 2018/12/17

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:rubygems, cpe:/o:redhat:enterprise_linux:6

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Patch Publication Date: 2013/09/04

Reference Information

CVE: CVE-2012-2125, CVE-2012-2126

RHSA: 2013:1203